"use strict";
const common_vendor = require("../../common/vendor.js");
const gen_Enums = require("../../gen/Enums.js");
const common_libraries_userUserLogin = require("../../common/libraries/userUserLogin.js");
const BILL_send_bill_model = require("./model.js");
const BILL_send_bill_method = require("./method.js");
require("../../common/libraries/request.js");
require("../../common/store/useWeAppAuthStore.js");
require("../../gen/Apis.js");
require("../../common/store/useWatermarkStore.js");
require("../../common/store/useWorkStore.js");
require("../../common/libraries/apiLoading.js");
require("../../common/libraries/naviHelper.js");
require("../../common/libraries/sendWxWork.js");
if (!Array) {
  const _easycom_hs_empty2 = common_vendor.resolveComponent("hs-empty");
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_enum_tag2 = common_vendor.resolveComponent("hs-enum-tag");
  const _easycom_hs_footer2 = common_vendor.resolveComponent("hs-footer");
  (_easycom_hs_empty2 + _easycom_uni_icons2 + _easycom_hs_enum_tag2 + _easycom_hs_footer2)();
}
const _easycom_hs_empty = () => "../../components/hs-empty/hs-empty.js";
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_enum_tag = () => "../../components/hs-enum-tag/hs-enum-tag.js";
const _easycom_hs_footer = () => "../../components/hs-footer/hs-footer.js";
if (!Math) {
  (UserPickerSelectHouse + _easycom_hs_empty + _easycom_uni_icons + _easycom_hs_enum_tag + _easycom_hs_footer)();
}
const UserPickerSelectHouse = () => "./components/pickerSelectHouse.js";
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    common_vendor.onShow(async () => {
      var _a, _b;
      await ((_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$onLaunched);
      BILL_send_bill_model.useModel.listData.value = [];
      BILL_send_bill_model.useModel.showData.value = {};
      BILL_send_bill_model.useModel.currentHouses.value = { id: "", name: "" };
      if ((_b = common_libraries_userUserLogin.getUser) == null ? void 0 : _b.onBindPhone()) {
        common_vendor.index.qy.getCurExternalContact({
          success: function(res) {
            var _a2;
            BILL_send_bill_model.useModel.formData.value.external_userid = res == null ? void 0 : res.userId;
            (_a2 = BILL_send_bill_method.method) == null ? void 0 : _a2.getList();
          },
          fail: function(res) {
            var _a2;
            (_a2 = BILL_send_bill_method.method) == null ? void 0 : _a2.getList();
          }
        });
      }
    });
    common_vendor.onUnload(() => {
      BILL_send_bill_model.useModel.currentHouses.value = { id: "", name: "" };
    });
    return (_ctx, _cache) => {
      var _a, _b, _c, _d, _e, _f, _g, _h, _i, _j, _k, _l, _m, _n, _o, _p, _q, _r, _s, _t;
      return common_vendor.e({
        a: (_d = (_c = (_b = (_a = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _a.showData) == null ? void 0 : _b.value) == null ? void 0 : _c.houseList) == null ? void 0 : _d.length
      }, ((_h = (_g = (_f = (_e = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _e.showData) == null ? void 0 : _f.value) == null ? void 0 : _g.houseList) == null ? void 0 : _h.length) ? {
        b: common_vendor.p({
          data: (_j = (_i = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _i.showData) == null ? void 0 : _j.value
        })
      } : {}, {
        c: !((_m = (_l = (_k = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _k.listData) == null ? void 0 : _l.value) == null ? void 0 : _m.length)
      }, !((_p = (_o = (_n = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _n.listData) == null ? void 0 : _o.value) == null ? void 0 : _p.length) ? {} : {}, {
        d: common_vendor.f((_r = (_q = common_vendor.unref(BILL_send_bill_model.useModel)) == null ? void 0 : _q.listData) == null ? void 0 : _r.value, (i, index, i0) => {
          return common_vendor.e({
            a: i == null ? void 0 : i.isSelect
          }, (i == null ? void 0 : i.isSelect) ? {
            b: "68f75638-2-" + i0,
            c: common_vendor.p({
              type: "checkbox-filled",
              size: "18",
              color: "#0082FA"
            })
          } : {
            d: "68f75638-3-" + i0,
            e: common_vendor.p({
              type: "circle",
              size: "18",
              color: "#666"
            })
          }, {
            f: common_vendor.t(i == null ? void 0 : i.display_text),
            g: common_vendor.o(($event) => {
              var _a2;
              return (_a2 = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _a2.handleSelect(index);
            }, `items_${index}`),
            h: common_vendor.t(i == null ? void 0 : i.display_amount),
            i: "68f75638-4-" + i0,
            j: common_vendor.p({
              type: (i == null ? void 0 : i.isShow) ? "down" : "right",
              color: "#999999",
              size: "14"
            }),
            k: common_vendor.o(($event) => i.isShow = !i.isShow, `items_${index}`),
            l: i == null ? void 0 : i.isShow
          }, (i == null ? void 0 : i.isShow) ? {
            m: common_vendor.f(i == null ? void 0 : i.bills, (k, idx, i1) => {
              return common_vendor.e({
                a: k == null ? void 0 : k.isSelect
              }, (k == null ? void 0 : k.isSelect) ? {
                b: "68f75638-5-" + i0 + "-" + i1,
                c: common_vendor.p({
                  type: "checkbox-filled",
                  size: "18",
                  color: "#0082FA"
                })
              } : {
                d: "68f75638-6-" + i0 + "-" + i1,
                e: common_vendor.p({
                  type: "circle",
                  size: "18",
                  color: "#666"
                })
              }, {
                f: "68f75638-7-" + i0 + "-" + i1,
                g: common_vendor.p({
                  Enums: common_vendor.unref(gen_Enums.HouseBillsTypeEnum),
                  value: k == null ? void 0 : k.type
                }),
                h: common_vendor.t(k == null ? void 0 : k.amount),
                i: `item_f_${index}_${idx}`,
                j: common_vendor.o(($event) => {
                  var _a2;
                  return (_a2 = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _a2.handleFindSelect(k, index, idx);
                }, `item_f_${index}_${idx}`)
              });
            })
          } : {}, {
            n: `items_${index}`
          });
        }),
        e: common_vendor.o((_s = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _s.handleParmaryClick),
        f: common_vendor.o((_t = common_vendor.unref(BILL_send_bill_method.method)) == null ? void 0 : _t.handleQRCode),
        g: common_vendor.p({
          btnParimaryName: "分享账单",
          btnOtherName: "二维码收款",
          btnOtherShow: true
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/BILL/send_bill/index.vue"]]);
wx.createPage(MiniProgramPage);
